Bug 1910501

Summary: Installed Operators->Operand required: Clicking on cancel in Storage cluster page takes back to the Install Operator page
Product: OpenShift Container Platform Reporter: Neha Berry <nberry>
Component: Console Storage PluginAssignee: Bipul Adhikari <badhikar>
Status: CLOSED ERRATA QA Contact: Neha Berry <nberry>
Severity: high Docs Contact:
Priority: low    
Version: 4.7CC: anbehl, aos-bugs, nstielau, nthomas, ocs-bugs
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:48:24 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
screencast of the flow depicting the issue none

Description Neha Berry 2020-12-24 08:34:04 UTC
Created attachment 1741677 [details]
screencast of the flow depicting the issue

Description of problem:
------------------------------

If one attempts to install Storage cluster from the subsequent flow of Install OCS Operator in UI and then cancels it, user is taken back to Operator Hub -> Install Operator page which is misleading. Attached screencast for the same.

reason: The OCS operator is already Installed and he gets an option to click cancel on an already installed operator(cancel button is ineffective as expected for an already installed Operator)
Installed OCP 4.7 on an AWS and performed the following tasks

1.  installed OCS 4.7 operator which was successfull, all operator pods were up. then this auto-lead to the Installed Operators-> Install Operands flow

2. Clicked on create Storage cluster when it got activated on the screen

3. In the create storage cluster page, clicked on cancel in the very first page


Actual results
================
User is taken back to Install Operators page with an option to Cancel (which actually cannot undo already installed Operator )

Expected results
=================
IMO, it should take us to the Installed Operators-> OCS operator Details page where user gets the option to create storage cluster once again (in Details page)




---------------------
Version-Release number of selected component (if applicable):
===========================================================


$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2020-12-21-131655   True        False  

OCS = ocs-operator.v4.7.0-207.ci

How reproducible:
=====================
Always


Steps to Reproduce:
====================
Stated in Description

Comment 6 errata-xmlrpc 2021-02-24 15:48:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633